Subject: Different b17 problems (install, mount, time)
From: [email-masked] (Andrey Slepuhin)

17 Dec 1996 16:15:19 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi!

First, many thanks for the efforts on porting GNU development tools to
Win32. I used emx/rsx-based port of GNU tools for some times and now I
obtain expected software. Unfortunately, I was confused by some strange
things. My system is Windows 95 PE (with SP1) on Cyrix 6x86-P166+/16Mb.

1) During installation attempt to unpack all.tar.gz via both b17 gunzip
and older DOS version of gunzip failed with message:

  GZIP.EXE: all.tar.gz: invalid compressed data--crc error

(the same thing with cdksrc.tar.gz)
However I successfully unpack distribution via WinZip32 v6.1.
Archives were loaded from ftp://sunsite.doc.ic.ac.uk

2) When I try mount root directory of any drive to UNIX path I found
that ls shows nothing in this directory. For example:

  bash$ mount d:/ /d
  bash$ ls /d
  bash$
  bash$ cat /d/tmp
  <file contents>
  bash$

Tab key command line expansion does not work too.
With mounted non-root directories all works fine.

3) Making a program I receive some messages as following:

  g++ -fexternal-templates -O3 -c ..\classes\darr.cpp

  File 'darr.o' is newer than system time.
  File time = 850857188, system time = 850846390
  File time = 'Wed Dec 18 00:13:08 1996'
  Sys  time = 'Tue Dec 17 21:13:10 1996'

(My time zone is GMT+03:00 :-))

4) In my program I have the following code fragment:

  clock_t tm;
  tm=clock();
  .............
  tm=clock()-tm;
  fprintf(stderr,"time elapsed: %.2fs\n",float(tm)/CLOCKS_PER_SEC);

During execution I receive

  time elapsed: 3381853.33s

instead of approximately 1.5s. This magic number (3381853.33) was
constant when execution time changed :-)
I tested this program on many platforms and with many compilers and
never had any problems. 
More over, the following trivial program

  #include <stdio.h>
  #include <time.h>
  
  void main(){
    printf("%lu\n",clock());
  }

give interchanged results 1672927569 or 1672927562 in series of
sequential runs :-)
So, what's wrong with clock() function?

Andrey Slepuhin,
Moscow State University, Russia
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".